Package org.eclipse.mat.ibmvm.agent

# Class DumpAgent

java.lang.Object
org.eclipse.mat.ibmvm.agent.DumpAgent

public class DumpAgent extends Object
Helper class which is loaded into the target VM to create a dump. This class requires an IBM VM to run, but uses reflection so that it can be compiled with any Java compiler.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`HEAP`
`static final String`
`HPROF`
`static final String`
`INFO_SEPARATOR`
`static final String`
`JAVA`
`static final String`
`SEPARATOR`
`static final String`
`SYSTEM`

## Constructor Summary

Constructors
Constructor
Description
`DumpAgent()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`agentmain(String arg)`
Generate a dump on this machine
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SEPARATOR

public static final String SEPARATOR

See Also:
  - Constant Field Values

### SYSTEM

public static final String SYSTEM

See Also:
  - Constant Field Values

### HEAP

public static final String HEAP

See Also:
  - Constant Field Values

### JAVA

public static final String JAVA

See Also:
  - Constant Field Values

### HPROF

public static final String HPROF

See Also:
  - Constant Field Values

### INFO_SEPARATOR

public static final String INFO_SEPARATOR

## Constructor Details

### DumpAgent

public DumpAgent()

## Method Details

### agentmain

public static void agentmain(String arg) throws ClassNotFoundException, NoSuchMethodException, InvocationTargetException, IllegalAccessException, InstantiationException, MalformedObjectNameException, InstanceNotFoundException, ReflectionException, MBeanException
Generate a dump on this machine

Parameters:
  `arg` - E.g. "system", "heap+java", "java" true live objects only with a path separator separating possible file names Throw a exception if there is a problem so that the other end receives an AgentInitializationException.
Throws:
  `ClassNotFoundException`
  `NoSuchMethodException`
  `InvocationTargetException`
  `IllegalAccessException`
  `InstantiationException`
  `MalformedObjectNameException`
  `InstanceNotFoundException`
  `ReflectionException`
  `MBeanException`

### main

public static void main(String[] args) throws ClassNotFoundException, NoSuchMethodException, InvocationTargetException, IllegalAccessException, InstantiationException, MalformedObjectNameException, InstanceNotFoundException, ReflectionException, MBeanException

Throws:
  `ClassNotFoundException`
  `NoSuchMethodException`
  `InvocationTargetException`
  `IllegalAccessException`
  `InstantiationException`
  `MalformedObjectNameException`
  `InstanceNotFoundException`
  `ReflectionException`
  `MBeanException`